Bug 859396 - [fork]"rhc app reload" always returns "Node execution failure"
[fork]"rhc app reload" always returns "Node execution failure"
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 08:46 EDT by jizhao
Modified: 2015-05-14 18:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:50:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jizhao 2012-09-21 08:46:23 EDT
Description of problem:
Run "rhc app reload" and it always return "Node execution failure"

Version-Release number of selected component (if applicable):
fork_ami_US2105_129

How reproducible:
Always

Steps to Reproduce:
1.Create an app
2.Reload it
$ rhc app reload -a <app_name>
3.
  
Actual results:
Problem reported from server. Response code was 500.

DEBUG:
runcon: /var/lib/stickshift/2320bf8c730e492dab73fd8821076092/jbossas-7/app1_ctl.sh: No such file or directory
Cartridge return code: 127

Exit Code: 143
broker_c: namespacerhloginsshapp_uuiddebugaltercartridgecart_typeactionapp_nameapi
api_c: placeholder
API version:    1.1.3

RESULT:
Node execution failure (invalid exit code from node).  If the problem persists please contact Red Hat support.



Expected results:
The app should be reloaded successfully.

Additional info:
Comment 1 Mrunal Patel 2012-09-21 13:28:24 EDT
Fixed with commit 96eddebee3a578d68ee4434be7333fa99c98da3c.
Will be available in next AMI for US 2105.
Comment 2 Xiaoli Tian 2012-09-24 04:30:20 EDT
Verified it on fork_ami_2105_133, it's fixed now


[root@F17x64-openshift test]# rhc app reload -a  appname31417 -l xtian+t0@redhat.com -p 1

RESULT:
Success

[root@F17x64-openshift test]# rhc app status -a appname31417 -l xtian+t0@redhat.com -p 1

RESULT:
Total Accesses: 1
Total kBytes: 0
Uptime: 2024
ReqPerSec: .000494071
BytesPerSec: 0
BytesPerReq: 0
BusyWorkers: 1
IdleWorkers: 0
Scoreboard: WS...

Note You need to log in before you can comment on or make changes to this bug.